%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}
%global __provides_exclude_from %{_libdir}/%{name}
%global __requires_exclude_from %{_libdir}/%{name}

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:		gnome-sound-recorder
Version:        43~beta
Release:	%mkrel 1
Summary:	A simple, modern sound recorder
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Apps/SoundRecorder
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}//%{name}-%{tarball_version}.tar.xz
BuildArch:	noarch

# Patch from upstream git to fix gnome-sound-recorder not starting
# Patch from upstream git to fix icon
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gjs-1.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:	gsettings-desktop-schemas
BuildRequires:	desktop-file-utils
BuildRequires:	gstreamer1.0-tools
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	gstreamer1.0-plugins-base
BuildRequires:	gstreamer1.0-plugins-good
BuildRequires:	gstreamer1.0-flac
BuildRequires:	pkgconfig(gstreamer-player-1.0)
BuildRequires:	libtool
Requires:	gjs
Requires:	gsettings-desktop-schemas
Requires:	task-codec-audio
Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-flac

%description
A simple, modern sound recorder for the GNOME desktop.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson
%meson_build


%install
%meson_install
%find_lang org.gnome.SoundRecorder

%files -f org.gnome.SoundRecorder.lang
%doc AUTHORS README.md NEWS
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.SoundRecorder.desktop
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/icons/hicolor/*/apps/org.gnome.SoundRecorder.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.SoundRecorder-symbolic.svg
%{_datadir}/metainfo/org.gnome.SoundRecorder.metainfo.xml
%{_datadir}/org.gnome.SoundRecorder/


%changelog
* Thu Sep 22 2022 tv <tv> 43~beta-1.mga9
+ Revision: 1891656
- Update to 43.beta

* Sat Mar 19 2022 tv <tv> 42.0-1.mga9
+ Revision: 1801634
- Update to 42.0

* Wed Mar 24 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1709126
- new version 40.0

* Sat Jan 30 2021 tmb <tmb> 3.38.1-1.mga8
+ Revision: 1674130
- fix url
+ ovitters <ovitters>
- new version 3.38.1

* Sat Sep 19 2020 tv <tv> 3.38.0-1.mga8
+ Revision: 1628710
- use %%license
- fix file list
- fix lang list
- BR pkgconfig(libhandy-1)
+ ovitters <ovitters>
- new version 3.38.0

* Sun Feb 16 2020 umeabot <umeabot> 3.34.0-2.mga8
+ Revision: 1534226
- Mageia 8 Mass Rebuild

* Sat Sep 28 2019 daviddavid <daviddavid> 3.34.0-1.mga8
+ Revision: 1447762
- new version 3.34.0

* Tue Jul 02 2019 ovitters <ovitters> 3.32.1-1.mga8
+ Revision: 1417624
- new version 3.32.1

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392480
- Rebuild with meson 0.50.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374342
- new version 3.32.0

* Fri Mar 08 2019 ovitters <ovitters> 3.31.92-1.mga7
+ Revision: 1372731
- new version 3.31.92

* Fri Jan 11 2019 ovitters <ovitters> 3.28.2-1.mga7
+ Revision: 1354992
- new version 3.28.2
- dropped merged patch gnome-sound-recorder-remove-conditional-catch.patch
- dropped merged patch gnome-sound-recorder-rename-icon.patch
- dropped merged patch gnome-sound-recorder-rename-icon-desktop-file.patch

* Sun Dec 09 2018 daviddavid <daviddavid> 3.28.1-3.mga7
+ Revision: 1339169
- fix gnome-sound-recorder not starting under mga7 (mga#23965)
- fix missing launcher icon

* Thu Sep 20 2018 umeabot <umeabot> 3.28.1-2.mga7
+ Revision: 1278455
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1216866
- new version 3.28.1

* Wed Feb 14 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1200912
- new version 3.27.90

* Wed Aug 23 2017 ovitters <ovitters> 3.24.0.1-1.mga7
+ Revision: 1143604
- new version 3.24.0.1
- new version 3.24.0

* Wed Oct 19 2016 tv <tv> 3.21.92-2.mga6
+ Revision: 1062379
- switch from %%old_configure to %%configure2_5x --build=%%{_build}

* Thu Sep 22 2016 ovitters <ovitters> 3.21.92-1.mga6
+ Revision: 1055267
- new version 3.21.92

* Mon May 09 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1011175
- new version 3.20.2

* Thu Apr 28 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 1007018
- new version 3.19.92

* Sun Feb 28 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 980234
- new version 3.19.91

* Mon Jan 18 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 925644
- new version 3.19.4

* Mon Nov 09 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 899418
- new version 3.18.2

* Tue Oct 13 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 890182
- new version 3.18.1

* Thu Sep 17 2015 tv <tv> 3.17.92-2.mga6
+ Revision: 880231
- use %%old_configure
- make it buildarch thus really fixing empty debuginfo

* Tue Sep 15 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879600
- new version 3.17.92

* Wed Sep 09 2015 neoclust <neoclust> 3.17.91-2.mga6
+ Revision: 874922
- Fix build with new rpm ( empty debuginfo)

* Mon Aug 31 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 871430
- new version 3.17.91

* Mon Aug 17 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865199
- new version 3.17.90

* Sun Jun 21 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 838429
- new version 3.17.2

* Tue Nov 11 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796324
- new version 3.14.2

* Sat Nov 01 2014 wally <wally> 3.14.0.1-4.mga5
+ Revision: 795089
- add missing BuildRequires and Requires for gjs (mga#13848)

* Sun Oct 19 2014 wally <wally> 3.14.0.1-3.mga5
+ Revision: 791741
- rebuild with new rpm-mageia-setup

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0.1-2.mga5
+ Revision: 747781
- Second Mageia 5 Mass Rebuild

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0.1-1.mga5
+ Revision: 719189
- new version 3.14.0.1

* Tue Sep 16 2014 umeabot <umeabot> 3.14-2.mga5
+ Revision: 679767
- Mageia 5 Mass Rebuild
+ tv <tv>
- auto convert _exclude_files_from_autoreq

* Tue Sep 16 2014 ovitters <ovitters> 3.14-1.mga5
+ Revision: 676943
- new version 3.14

* Tue Sep 02 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 670854
- new version 3.13.91

* Wed Jul 23 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 655749
- new version 3.13.4

* Tue May 13 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622420
- new version 3.12.2

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614075
- new version 3.12.1

* Tue Mar 25 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608214
- new version 3.12.0

* Wed Mar 19 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 605808
- new version 3.11.92

* Tue Mar 04 2014 ovitters <ovitters> 3.11.91.1-1.mga5
+ Revision: 599287
- new version 3.11.91.1

* Mon Mar 03 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 598815
- new version 3.11.91

* Mon Feb 17 2014 dams <dams> 3.11.9-2.mga5
+ Revision: 593906
- Adds an obsoletes on 'gnome-media'

* Mon Feb 17 2014 ovitters <ovitters> 3.11.9-1.mga5
+ Revision: 593877
- imported package gnome-sound-recorder

